Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class DefaultESBPropertiesSetter

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.DefaultESBPropertiesSetter

All Implemented Interfaces:
  ESBPropertiesSetter

    public class DefaultESBPropertiesSetter

extends java.lang.Object
implements ESBPropertiesSetter

Default impl of ESBPropertiesSetter.

The following JMS Header fields are set on the ESB Message instance:
- JMSCorrelationID -> Call.setRelatesTo URI = jms:correlationID#YYXX-123456780-GG
- JMSReplyTo -> Properties( key = JMSPropertiesSetter.JMS_REPLY_TO )
- JMSExpiration -> Properties( key = JMSPropertiesSetter.JMS_EXPIRATION )
- JMSRedeliverd -> Properties( key = JMSPropertiesSetter.JMS_REDELIVERED )
- JMSProperties -> Properties( key = propertyName )
Note: JMSCorrelationID is set as a fragment on the URI and can be retrieved like this: correlationURI.getFragment();

Since:
  4.2
Author:
  Daniel Bevenius

Constructor Summary
`DefaultESBPropertiesSetter()`

Method Summary
`void` | `setPropertiesFromJMSMessage(javax.jms.Message fromJMSMessage, Message toESBMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultESBPropertiesSetter

    public DefaultESBPropertiesSetter()

Method Detail

### setPropertiesFromJMSMessage

    public void setPropertiesFromJMSMessage(javax.jms.Message fromJMSMessage,
                                            Message toESBMessage)
                                     throws javax.jms.JMSException

  Specified by:
    `setPropertiesFromJMSMessage` in interface `ESBPropertiesSetter`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD